/**
 * An external task the engine is providing for external services to process.
 */
export declare class ExternalTask {
    /**
     * The process variables and token data to use and process by the external task.
     */
    payload: any;
    /**
     * The Id of the external task.
     */
    id: string;
    /**
     * The flownode instance Id in the process model.
     */
    flowNodeInstanceId: string;
    /**
     * The correlation Id in which the process is running.
     */
    correlationId: string;
    /**
     * The process instance Id.
     */
    processInstanceId: string;
    /**
     * The worker Id of the external task. The process engine locks the task for this worker for processing.
     */
    workerId: string;
    /**
     * The lock expiration time after that the task is released to be processed by other services.
     */
    lockExpirationTime: Date;
}
